## org.eclipse.jst.jsf.designtime.context
Class DTFacesContext

    java.lang.Object
      org.eclipse.jst.jsf.designtime.context.DTFacesContext

    public final class DTFacesContext

extends java.lang.Object

Represents a design-time version of the JSF FacesContext for a particular web application. Client may not sub-class.

Constructor Summary
`DTFacesContext(IAdaptable contextObject, IExternalContextFactoryLocator locator)`
`DTFacesContext(IExternalContextFactoryLocator locator)` Deprecated. Use DTFacesContext(IAdaptable, IExternalContextFactoryLocator)

Method Summary
`IResource` `adaptContextObject()`
`IDTExternalContext` `getDTExternalContext(IAdaptable contextObject)`
`java.lang.String` `getLocaleString()` Deprecated. Use IDTViewHandler.calculateLocale instead
`org.eclipse.jst.jsf.designtime.internal.view.IViewRootHandle` `getViewRootHandle()` Returns a new copy of the view root handle.
`void` `initialize(org.eclipse.jst.jsf.common.internal.resource.LifecycleListener lifecycleListener)` THIS IS NOT AN API METHOD.
`void` `setLocaleString(java.lang.String newLocaleString)` Deprecated. Use IDTViewHandler.calculateLocale instead

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTFacesContext

    public DTFacesContext(IAdaptable contextObject,
                          IExternalContextFactoryLocator locator)

Parameters:
  `contextObject` -
  `locator` -

### DTFacesContext

    @Deprecated
    public DTFacesContext(IExternalContextFactoryLocator locator)

  Deprecated. Use DTFacesContext(IAdaptable, IExternalContextFactoryLocator)

  Parameters:
    `locator` -

Method Detail

### initialize

    public void initialize(org.eclipse.jst.jsf.common.internal.resource.LifecycleListener lifecycleListener)

  THIS IS NOT AN API METHOD. External clients must not call. initilaize the faces context.

  Parameters:
    `lifecycleListener` -

### getDTExternalContext

    public IDTExternalContext getDTExternalContext(IAdaptable contextObject)

  Parameters:
    `contextObject` - -- the object corresponding to the external context. Usually an IFile point to a file containing the external context. It must be adaptable to an IFile.
  Returns:
    the designtime external context or null if one is not defined for this contextObject

### getViewRootHandle

    public org.eclipse.jst.jsf.designtime.internal.view.IViewRootHandle getViewRootHandle()

  Returns a new copy of the view root handle.

  return null if the value of the view root

  Returns:
    the cached view root. May be null.

### getLocaleString

    @Deprecated
    public java.lang.String getLocaleString()

  Deprecated. Use IDTViewHandler.calculateLocale instead

  Returns:
    the current locale string

### setLocaleString

    @Deprecated
    public void setLocaleString(java.lang.String newLocaleString)

  Deprecated. Use IDTViewHandler.calculateLocale instead

  Parameters:
    `newLocaleString` -

### adaptContextObject

    public IResource adaptContextObject()

  Returns:
    the resource correspondinng to context object or null if it cannot be adapted to an IResource